import { Constant } from '@/modules/bids/utils/constant';
import { Controller, Get, Res } from '@nestjs/common';
import { Response } from 'express';
import { join } from 'path';

@Controller('extensions')
export class ExtensionsController {
  @Get('policy')
  async policy(@Res() res: Response) {
    const rootDir = process.cwd();

    const filePath = join(
      rootDir,
      'src',
      'modules',
      'extensions',
      `/views/policy.html`,
    );

    return res.sendFile(filePath);
  }
}
